Security User Rules - List
列出规则集合中的所有安全用户规则。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/securityUserConfigurations/{configurationName}/ruleCollections/{ruleCollectionName}/rules?api-version=2025-05-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/securityUserConfigurations/{configurationName}/ruleCollections/{ruleCollectionName}/rules?api-version=2025-05-01&$top={$top}&$skipToken={$skipToken}
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
configuration
|
path | True |
string pattern: ^[a-zA-Z0-9_.-]*$ |
网络管理器安全配置的名称。 |
|
network
|
path | True |
string pattern: ^[0-9a-zA-Z]([0-9a-zA-Z_.-]{0,62}[0-9a-zA-Z_])?$ |
网络管理器的名称。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 此名称不区分大小写。 |
|
rule
|
path | True |
string pattern: ^[a-zA-Z0-9_.-]*$ |
网络管理器安全配置规则集合的名称。 |
|
subscription
|
path | True |
string (uuid) |
目标订阅的 ID。 该值必须是 UUID。 |
|
api-version
|
query | True |
string minLength: 1 |
要用于此操作的 API 版本。 |
|
$skip
|
query |
string |
仅当以前的操作返回了部分结果时,才使用 SkipToken。 如果以前的响应包含 nextLink 元素,则 nextLink 元素的值将包含一个 skipToken 参数,该参数指定用于后续调用的起点。 |
|
|
$top
|
query |
integer (int32) minimum: 1maximum: 20 |
可选查询参数,它指定要由服务器返回的最大记录数。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
Azure 运营顺利完成。 |
|
| Other Status Codes |
意外的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 流。
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
List security user rules
示例请求
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/networkManagers/testNetworkManager/securityUserConfigurations/myTestSecurityConfig/ruleCollections/testRuleCollection/rules?api-version=2025-05-01
示例响应
{
"nextLink": "https://management.azure.com/subscriptions/22222222-2222-2222-2222-222222222222/resourceGroups/rg1/providers/Microsoft.Network/networkManagers/testNetworkManager/securityUserConfigurations/myTestSecurityConfig/ruleCollections/testRuleCollection/rules?api-version=2025-05-01&$skipToken=10",
"value": [
{
"name": "SampleUserRule",
"type": "Microsoft.Network/networkManagers/securityConfigurations/ruleCollections/rules",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/networkmanagers/testNetworkManager/securityUserConfigurations/myTestSecurityConfig/ruleCollections/testRuleCollection/rules/SampleUserRule",
"properties": {
"description": "Sample User Rule",
"destinationPortRanges": [
"22"
],
"destinations": [
{
"addressPrefix": "*",
"addressPrefixType": "IPPrefix"
}
],
"direction": "Inbound",
"provisioningState": "Succeeded",
"resourceGuid": "f930553b-f78d-48c5-9445-6cf86b85e615",
"sourcePortRanges": [
"0-65535"
],
"sources": [
{
"addressPrefix": "*",
"addressPrefixType": "IPPrefix"
}
],
"protocol": "Tcp"
},
"systemData": {
"createdAt": "2021-01-11T18:52:27Z",
"createdBy": "b69a9388-9488-4534-b470-7ec6d41beef5",
"createdByType": "User",
"lastModifiedAt": "2021-01-11T18:52:27Z",
"lastModifiedBy": "b69a9388-9488-4534-b470-7ec6d41beef5",
"lastModifiedByType": "User"
}
}
]
}
定义
| 名称 | 说明 |
|---|---|
|
Address |
地址前缀项。 |
|
Address |
地址前缀类型。 |
|
Cloud |
服务的错误响应。 |
|
Cloud |
服务的错误响应。 |
|
created |
创建资源的标识的类型。 |
|
Provisioning |
资源的预配状态。 |
|
Security |
规则的方向。 方向指定是针对传入流量还是传出流量评估规则。 |
|
Security |
此规则适用于的网络协议。 |
|
Security |
网络安全用户规则。 |
|
Security |
SecurityUserRule列表操作的响应。 |
|
system |
与创建和上次修改资源相关的元数据。 |
AddressPrefixItem
地址前缀项。
| 名称 | 类型 | 说明 |
|---|---|---|
| addressPrefix |
string |
地址前缀。 |
| addressPrefixType |
地址前缀类型。 |
AddressPrefixType
地址前缀类型。
| 值 | 说明 |
|---|---|
| IPPrefix |
IPPrefix |
| ServiceTag |
服务标签 |
| NetworkGroup |
网络集团 |
CloudError
服务的错误响应。
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
云错误正文。 |
CloudErrorBody
服务的错误响应。
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
错误的标识符。 代码是固定的,旨在以编程方式使用。 |
| details |
有关错误的其他详细信息的列表。 |
|
| message |
string |
描述错误的消息,旨在适合在用户界面中显示。 |
| target |
string |
特定错误的目标。 例如,错误属性的名称。 |
createdByType
创建资源的标识的类型。
| 值 | 说明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ProvisioningState
资源的预配状态。
| 值 | 说明 |
|---|---|
| Failed |
Failed |
| Succeeded |
成功 |
| Canceled |
已取消 |
| Creating |
创建 |
| Updating |
更新 |
| Deleting |
正在删除 |
SecurityConfigurationRuleDirection
规则的方向。 方向指定是针对传入流量还是传出流量评估规则。
| 值 | 说明 |
|---|---|
| Inbound |
入站 |
| Outbound |
出境 |
SecurityConfigurationRuleProtocol
此规则适用于的网络协议。
| 值 | 说明 |
|---|---|
| Tcp |
Tcp |
| Udp |
UDP |
| Icmp |
Icmp |
| Esp |
Esp |
| Any |
任意 |
| Ah |
啊 |
SecurityUserRule
网络安全用户规则。
| 名称 | 类型 | 说明 |
|---|---|---|
| etag |
string |
一个唯一的只读字符串,每当更新资源时更改。 |
| id |
string |
资源 ID。 |
| name |
string |
资源名称。 |
| properties.description |
string |
此规则的说明。 |
| properties.destinationPortRanges |
string[] |
目标端口范围。 |
| properties.destinations |
目标地址前缀。 CIDR 或目标 IP 范围。 |
|
| properties.direction |
指示流量是否与入站或出站规则匹配。 |
|
| properties.protocol |
此规则适用于的网络协议。 |
|
| properties.provisioningState |
安全配置用户规则资源的预配状态。 |
|
| properties.resourceGuid |
string |
此资源的唯一标识符。 |
| properties.sourcePortRanges |
string[] |
源端口范围。 |
| properties.sources |
CIDR 或源 IP 范围。 |
|
| systemData |
与此资源相关的系统元数据。 |
|
| type |
string |
资源类型。 |
SecurityUserRuleListResult
SecurityUserRule列表操作的响应。
| 名称 | 类型 | 说明 |
|---|---|---|
| nextLink |
string (uri) |
指向下一页项的链接 |
| value |
本页的 SecurityUserRule 项目 |
systemData
与创建和上次修改资源相关的元数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| createdAt |
string (date-time) |
资源创建时间戳(UTC)。 |
| createdBy |
string |
创建资源的标识。 |
| createdByType |
创建资源的标识的类型。 |
|
| lastModifiedAt |
string (date-time) |
资源上次修改的时间戳 (UTC) |
| lastModifiedBy |
string |
上次修改资源的标识。 |
| lastModifiedByType |
上次修改资源的标识的类型。 |